API references
Merchant API

List virtual accounts

Returns a paginated list of the authenticated merchant's active virtual accounts.

The response includes cursor-based pagination with previous and next cursors that can be used to navigate through the virtual account history.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-virtual-accounts HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
per_page: number?,
after: string?,
before: string?,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started. Note that this endpoint returns a paginated response, see the Pagination section of the same guide.
Request arguments
per_page number

Optional. Number of virtual accounts to return per page (default: 25)

after string

Optional. Cursor for pagination - return virtual accounts created before this virtual account ID

before string

Optional. Cursor for pagination - return virtual accounts created after this virtual account ID

Response attributes
Attribute Description
virtual_account_id
string

Always present. The ID of the virtual account.

state
string

Always present. The current state of the virtual account.

Possible values:
  • pending
  • opening
  • active
  • closing
  • failed
  • closed
number
string

Nullable. The bank-assigned virtual account number. Null until the account is opened.

bank_name
string

Always present. The display name of the sponsoring bank for the virtual account (e.g., 'CIMB').

display_name
string

Always present. The virtual account display name registered with the bank.

currency
string

Always present. The 3-letter ISO currency code (e.g., 'THB').

created_at
number

Always present. The creation timestamp (Unix timestamp).

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/list-virtual-accounts" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{}'
Learn how to run these code samples in your terminal by reading our guide.